--- net/socket/socks5_client_socket.cc
+++ net/socket/socks5_client_socket.cc
@@ -17,6 +17,11 @@
 #include "net/base/load_log.h"
 #include "net/base/net_util.h"
 
+#if defined(OS_FREEBSD)
+#include <netinet/in.h>
+#include <sys/socket.h>
+#endif
+
 namespace net {
 
 const unsigned int SOCKS5ClientSocket::kGreetReadHeaderSize = 2;
@@ -440,7 +445,7 @@ int SOCKS5ClientSocket::DoHandshakeReadComplete(int result) {
   return OK;
 }
 
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
 int SOCKS5ClientSocket::GetPeerName(struct sockaddr* name,
                                     socklen_t* namelen) {
   return transport_->GetPeerName(name, namelen);
diff --git net/socket/socks5_client_socket.h net/socket/socks5_client_socket.h
index a5db645..f14f370 100644
